# Update

`PATCH /api/2.1/unity-catalog/bindings/{securable_type}/{securable_full_name}`

Updates workspace bindings of the securable.
 The caller must be a metastore admin or an owner of the securable.

API scopes: unity-catalog

## Path parameters

- `securable_type` (string, optional)
  The type of the securable to bind to a workspace (catalog, storage_credential, credential, or external_location).
- `securable_full_name` (string, optional)
  The name of the securable.

## Request body

- `add` (array of object, optional)
  List of workspace bindings to add. If a binding for the workspace already exists with a
   different binding_type, adding it again with a new binding_type will update the existing
   binding (e.g., from READ_WRITE to READ_ONLY).
  - `workspace_id` (int64, optional)
    Required
  - `binding_type` (string, optional)
    One of READ_WRITE/READ_ONLY. Default is READ_WRITE.
    Possible values: `BINDING_TYPE_UNSPECIFIED`, `BINDING_TYPE_READ_WRITE`, `BINDING_TYPE_READ_ONLY`
- `remove` (array of object, optional)
  List of workspace bindings to remove.
  - `workspace_id` (int64, optional)
    Required
  - `binding_type` (string, optional)
    One of READ_WRITE/READ_ONLY. Default is READ_WRITE.
    Possible values: `BINDING_TYPE_UNSPECIFIED`, `BINDING_TYPE_READ_WRITE`, `BINDING_TYPE_READ_ONLY`

## Returns

- `bindings` (array of object, optional)
  List of workspace bindings.
  - `workspace_id` (int64, optional)
    Required
  - `binding_type` (string, optional)
    One of READ_WRITE/READ_ONLY. Default is READ_WRITE.
    Possible values: `BINDING_TYPE_UNSPECIFIED`, `BINDING_TYPE_READ_WRITE`, `BINDING_TYPE_READ_ONLY`

## Response

```json
{
  "bindings": [
    {
      "workspace_id": 0,
      "binding_type": "string"
    }
  ]
}
```

